Get operation details
curl --request GET \
--url https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"operationId": "op_acme_abc123",
"userId": "user_acme_x1y2z3",
"linkId": "link_acme_a1b2c3d4e5f6",
"status": "completed",
"amount": {
"send": 100,
"receive": 1725,
"rate": 17.25,
"fee": 3.99,
"currency": {
"source": "USD",
"destination": "MXN"
}
},
"stateHistory": [
{
"state": "executing",
"timestamp": "2026-02-10T12:01:00.000Z",
"metadata": {
"event": "EXECUTION_REJECTED",
"phase": "execution",
"corridor": "CRB_INTERMEX",
"error": "[PAYMENT_METHOD_INVALID] ...",
"httpStatus": 422
}
}
],
"createdAt": "2026-02-10T12:00:00.000Z",
"updatedAt": "2026-02-10T12:05:00.000Z",
"referenceId": "user-12345",
"origin": "request",
"requestId": "req_a1b2c3d4e5f6",
"recipientReferenceId": "banrural-user-4419",
"originationId": "dpr_a1b2c3d4e5f6",
"raasOperationId": "raas_op_xyz789",
"funding": {
"method": "DEBIT_CARD",
"paymentMethodId": "pm_card_4748feb43f28",
"last4": "4242",
"bankName": "Chase"
},
"payout": {
"method": "CASH_PICKUP",
"payerCode": "OXXO",
"stateCode": "MX-CMX"
},
"flowState": "executed",
"corridor": "CRB_INTERMEX",
"fundingStatus": "awaiting_funding",
"executionRefs": {
"corridor": "CRB_INTERMEX",
"nativeOperationId": "<string>",
"status": "<string>"
},
"raasCommit": {
"request": {},
"success": false,
"response": {},
"error": {
"message": "<string>",
"httpStatus": 422,
"code": "PAYHUB_ERROR",
"details": {},
"validations": [
"sender.phoneNumber should not be empty",
"recipient.city should not be empty"
]
},
"committedAt": "<string>"
},
"references": [
{
"type": "PAYOUT_CODE",
"value": "998877",
"label": {
"en": "Payout code",
"es": "Clave de cobro"
},
"presentation": "PROMINENT",
"issuedAt": "2026-08-27T06:40:00.000Z"
},
{
"type": "TRACKING_REF",
"value": "IMX-2026-00421",
"presentation": "SECONDARY"
}
],
"documents": [
{
"kind": "PAYOUT_RECEIPT",
"mediaType": "application/pdf",
"freshness": "LIVE",
"availability": "AVAILABLE"
}
],
"cancellationReason": "<string>",
"completedAt": "2026-02-10T12:05:00.000Z",
"failedAt": "<string>",
"failureReason": "<string>",
"externalId": "ORD-2026-001",
"campaign": "feb-promo-gt",
"campaignSource": "link"
}
}Partner - Operations
Get operation details
Returns full details of a specific money transfer operation including amount breakdown, funding and payout method details, status timeline, canonical references (pickup PIN, tracking ref) and documents descriptors when the corridor has issued them, and failure reason if applicable. The paginated list does not include references or documents. Download PDF bytes via GET /partner/operations/:operationId/documents/:kind.
GET
/
partner
/
operations
/
{operationId}
Get operation details
curl --request GET \
--url https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.raas-widgets.leapfinancial.com/partner/operations/{operationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"operationId": "op_acme_abc123",
"userId": "user_acme_x1y2z3",
"linkId": "link_acme_a1b2c3d4e5f6",
"status": "completed",
"amount": {
"send": 100,
"receive": 1725,
"rate": 17.25,
"fee": 3.99,
"currency": {
"source": "USD",
"destination": "MXN"
}
},
"stateHistory": [
{
"state": "executing",
"timestamp": "2026-02-10T12:01:00.000Z",
"metadata": {
"event": "EXECUTION_REJECTED",
"phase": "execution",
"corridor": "CRB_INTERMEX",
"error": "[PAYMENT_METHOD_INVALID] ...",
"httpStatus": 422
}
}
],
"createdAt": "2026-02-10T12:00:00.000Z",
"updatedAt": "2026-02-10T12:05:00.000Z",
"referenceId": "user-12345",
"origin": "request",
"requestId": "req_a1b2c3d4e5f6",
"recipientReferenceId": "banrural-user-4419",
"originationId": "dpr_a1b2c3d4e5f6",
"raasOperationId": "raas_op_xyz789",
"funding": {
"method": "DEBIT_CARD",
"paymentMethodId": "pm_card_4748feb43f28",
"last4": "4242",
"bankName": "Chase"
},
"payout": {
"method": "CASH_PICKUP",
"payerCode": "OXXO",
"stateCode": "MX-CMX"
},
"flowState": "executed",
"corridor": "CRB_INTERMEX",
"fundingStatus": "awaiting_funding",
"executionRefs": {
"corridor": "CRB_INTERMEX",
"nativeOperationId": "<string>",
"status": "<string>"
},
"raasCommit": {
"request": {},
"success": false,
"response": {},
"error": {
"message": "<string>",
"httpStatus": 422,
"code": "PAYHUB_ERROR",
"details": {},
"validations": [
"sender.phoneNumber should not be empty",
"recipient.city should not be empty"
]
},
"committedAt": "<string>"
},
"references": [
{
"type": "PAYOUT_CODE",
"value": "998877",
"label": {
"en": "Payout code",
"es": "Clave de cobro"
},
"presentation": "PROMINENT",
"issuedAt": "2026-08-27T06:40:00.000Z"
},
{
"type": "TRACKING_REF",
"value": "IMX-2026-00421",
"presentation": "SECONDARY"
}
],
"documents": [
{
"kind": "PAYOUT_RECEIPT",
"mediaType": "application/pdf",
"freshness": "LIVE",
"availability": "AVAILABLE"
}
],
"cancellationReason": "<string>",
"completedAt": "2026-02-10T12:05:00.000Z",
"failedAt": "<string>",
"failureReason": "<string>",
"externalId": "ORD-2026-001",
"campaign": "feb-promo-gt",
"campaignSource": "link"
}
}Authorizations
Your partner API key. Use raas_sandbox_* keys for the sandbox environment and raas_live_* keys for production.
Path Parameters
Unique operation identifier
Example:
"op_acme_abc123"